%define major 5
%define minor 8
%define micro 8

Name: perl
Version: 5.8.8
Release: alt19.M41.1
Epoch: 1

%define sover %major.%minor

%define interp_compat_v 5.6.1 5.6.0
%define binary_compat_v 5.8.7 5.8.6 5.8.5 5.8.4 5.8.3 5.8.2 5.8.1 5.8.0
%define inc_v_list %(echo %binary_compat_v | sed 's,[0-9.]\\+,&/%perl_arch_os,g') %binary_compat_v %interp_compat_v

Summary: The Perl programming language
License: GPL or Artistic
Group: Development/Perl
Url: http://www.perl.org
Packager: Alexey Tourbin <at@altlinux.ru>

# Automatically added by buildreq on Fri Mar 07 2008
BuildRequires: libdb4-devel libgdbm-devel

%ifarch %ix86
%define perl_arch i386
%else
%define perl_arch %_arch
%endif

%define perl_arch_os %perl_arch-%_os

# skeleton
%define privlib %_prefix/lib/%name%major
%define archlib %privlib/%perl_arch_os
%define autolib %archlib/auto
%define vendor_privlib %privlib/vendor_perl
%define vendor_archlib %vendor_privlib/%perl_arch_os
%define vendor_autolib %vendor_archlib/auto
%define _perl_lib_path %privlib:%archlib

# site stuff is now used for local installations
%define site_prefix /usr/local
%define site_privlib %site_prefix/lib/%name%major/site_perl/%version
%define site_archlib %site_privlib/%perl_arch_os
%define site_autolib %site_archlib/auto
%define site_man1dir %site_prefix/man/man1
%define site_man3dir %site_prefix/man/man3

# The failure for bytes_heavy.pl is normal, it's not self-contained.
%add_findreq_skiplist */bytes_heavy.pl

# skip Compress::Zlib and Encode dependencies
%add_findreq_skiplist */DBM_Filter/*.pm

# Data::Dumper uses B::Deparse (on demand) to store coderefs
%add_findreq_skiplist */Data/Dumper.pm

# open.pm requires Encode and I18N::LangInfo in certain cases
%add_findreq_skiplist */open.pm

# O.pm requires PerlIO::scalar for -q and -qq options
%add_findreq_skiplist */O.pm

# do not provide auxilary unicore libraries
%add_findprov_skiplist */unicore/*/*

# do not provide demo files
%add_findprov_skiplist */demo/*

Source: perl-5.8.8+MAINT33449.tar
Patch: perl-%version-%release.patch

%package -n perl4-compat
Summary: Perl 4 legacy libraries and *.ph files
Group: Development/Perl
AutoReq: yes, nolibperl
Requires: perl-base = %epoch:%version-%release

%package base
Summary: The Perl programming language
Group: System/Base
AutoReq: yes, nolibperl
Provides: %name = %epoch:%version %_bindir/%name
Obsoletes: %name
Provides:  perl-Digest-MD5 perl-Time-HiRes perl-MIME-Base64
Obsoletes: perl-Digest-MD5 perl-Time-HiRes perl-MIME-Base64
# due to change 32538
Conflicts: perl-Term-ReadLine-Gnu < 1.17

%package devel
Summary: Perl development files
Group: Development/Perl
AutoReq: yes, nolibperl
Requires: perl-base = %epoch:%version-%release

%package pod
Summary: Perl documentation set
Group: Development/Documentation
AutoReq: yes, nolibperl
Requires: perl-base = %epoch:%version-%release

%package threads
Summary: Perl threads
Group: Development/Perl
AutoReq: yes, nolibperl
Requires: perl-base = %epoch:%version-%release

%package unicore
Summary: Unicode support for Perl
Group: Development/Perl
AutoReq: yes, nolibperl
Requires: perl-base = %epoch:%version-%release

%package DBM
Summary: Perl modules for accessing DBM databases
Group: Development/Perl
AutoReq: yes, nolibperl
Requires: perl-base = %epoch:%version-%release
Provides:  perl-DB_File
Obsoletes: perl-DB_File

%package Storable
Summary: Persistence for Perl data structures
Group: Development/Perl
AutoReq: yes, nolibperl
Requires: perl-base = %epoch:%version-%release

%package PerlIO
Summary: PerlIO abstraction layer
Group: Development/Perl
AutoReq: yes, nolibperl
Requires: perl-base = %epoch:%version-%release

%package suidperl
Summary: suidperl, for use with setuid perl scripts
Group: Development/Perl
AutoReq: yes, nolibperl
Requires: perl-base = %epoch:%version-%release
Requires(pre,post): control

%package full
Summary: The Perl programming language (full kit installer)
Group: Development/Perl
# built from this source package
Requires: perl4-compat perl-base = %epoch:%version-%release perl-devel perl-pod
Requires: perl-threads perl-unicore perl-DBM perl-Storable perl-PerlIO
# packaged separately
Requires: perl-libnet >= 1:1.19 perl-CGI >= 3.10
Requires: perl-Memoize >= 1.01
Requires: perl-Term-ReadLine-Gnu >= 1.15 perl-CPAN >= 1.76
# former perl-base
Requires: perl-Net-Ping >= 2.31 perl-Text-Balanced >= 1.95
Requires: perl-Tie-File >= 0.96 perl-Attribute-Handlers >= 0.78
Requires: perl-Math-BigInt >= 1.77 perl-Math-BigRat >= 0.15 perl-bignum >= 0.17
Requires: perl-Filter >= 1.30 perl-Filter-Simple >= 0.79 perl-Switch >= 2.10
Requires: perldoc >= 3.14 perl-NEXT >= 0.60
# former perl-i18n
Requires: perl-I18N-LangTags >= 0.35 perl-Locale-Maketext >= 1.09
Requires: perl-Locale-Codes >= 2.07
Requires: perl-Unicode-Normalize >= 1.0 perl-Unicode-Collate >= 0.52
Requires: perl-Encode >= 2.17
Requires: perl-Text-Soundex >= 3.02
# other packages (e.g. for CPAN)
Requires: perl-Compress-Zlib >= 1.34 perl-libwww >= 5.803

%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications (and what it excels
at) are probably system administration utilities and web programming.
A large proportion of the CGI scripts on the web are written in Perl.

%description -n perl4-compat
This package contains old Perl libraries for backward compatibility
with Perl 4 programs which may require it; these libraries are no longer
maintained.  It also contains *.ph Perl header files and h2ph utility
for creating them from C headers.

%description base
This package provides a minimal (yet mostly sufficient) Perl setup,
i.e. the %_bindir/perl binary plus a basic set of Perl libraries.

Other important packages are perl-devel (development files),
perl-pod (documentation) and perldoc (for displaying documentation).

%description devel
This package contains components required for developing applications
which embed a Perl interpreter and compiling perl modules (AutoSplit, 
ExtUtils::MakeMaker, Test modules, B compiler, header files, debugger).

%description pod
This package contains Perl documentation set in Pod format.

%description threads
This package contains thread-related Perl modules.  threads module
provides interface to interpreter-based threading implementation
(ithreads).  threads::shared allows data sharing between threads.
Thread module refers to the old 5005threads implementation.
Thread::Queue and Thread::Semaphore provide thread-safe primitives.

%description unicore
This package provides basic Unicode support for Perl (Unicode Character
Database 4.1.0, Unicode::UCD module, and charnames pragma).

%description DBM
This package contains Perl modules for tied access to DBM files.
AnyDBM_File provides a framework for multiple DBM implementations
(DB_File, NDBM_File, GDBM_File, and SDBM_File). DBM_Filter allows
filtering DBM keys/values by user-defined code.

%description Storable
The Storable module brings persistence to Perl data structures.
Any Perl data can be stored to disk and retrieved at a later time.

%description PerlIO
This package contains PerlIO-related modules.  Introduced just after
perl-5.7.0, PerlIO is an implementation of the input/output abstraction
which allows perl more control over how IO is done as it decouples IO
from the way the operating system and C library choose to do things.

%description suidperl
suidperl is a setuid binary copy of perl that allows for (hopefully)
more secure running of setuid perl scripts.

%description full
This package helps to install an extended set of Perl packages.
It contains no files, only dependencies.

%prep
%setup -q -n perl-5.8.8+MAINT33449
%patch -p1

%build
%add_optflags -D_GNU_SOURCE

sh Configure -de %{?!_enable_debug: -rs} \
	-Darchname=%perl_arch_os -Dd_dosuid -Ud_csh \
	-Dlibswanted="dl m c crypt db ndbm gdbm" \
	-Duseshrplib -Dlibperl=lib%name.so.%sover \
	-Dcc=gcc -Doptimize="%optflags" -Dcccdlflags='%optflags_shared' \
	-Dccdlflags="-rdynamic -Wl,-O1" -Dlddlflags="-shared -Wl,-O1" -Dldflags="-Wl,-O1" \
	-Dprefix=%_prefix -Dprivlib=%privlib -Darchlib=%archlib \
	-Dvendorprefix=%_prefix -Dvendorlib=%vendor_privlib -Dvendorarch=%vendor_archlib \
	-Dman1dir=%_man1dir -Dman3dir=%_man3dir -Dvendorman1dir=%_man1dir -Dvendorman3dir=%_man3dir \
	-Dsiteprefix=%site_prefix -Dsitelib=%site_privlib -Dsitearch=%site_archlib \
	-Dsiteman1dir=%site_man1dir -Dsite_man3dir=%site_man3dir \
	-Dman1ext=1 -Dman3ext=3pm \
	-Dcf_by='%vendor' -Dcf_email='%packager' \
	-Dmyhostname=localhost -Dperladmin=root@localhost \
	-Dmyuname="$(uname -mrs)" -Dnewmyuname="$(uname -mrs)" \
	-Dinc_version_list='%inc_v_list' \
	-Dpager='%_bindir/less -isR' \
	-Di_shadow -Di_syslog \
	-Dusethreads -Duseithreads \
	-Duselargefiles \
	-Di_db -Di_gdbm -Di_ndbm -Di_sdbm -Ui_odbm

# eliminate rpath (implies later libperl relocation)
subst -p 's@ -Wl,-rpath[,=]%archlib/CORE@@g' config.sh [Mm]akefile* myconfig

# some files can benefit from special optimization
make pp.o pp_ctl.o scope.o sv.o OPTIMIZE='%optflags %{!?_enable_debug:-O3 -funroll-loops}'

make lib%name.so.%sover
ln -snf lib%name.so.%sover lib%name.so

# when CWD.so is not available, Cwd.pm falls back to readdir method that
# scans the whole filesystem (this confuses buildreq); so build Cwd.so ASAP
make lib/Config.pm lib/auto/Cwd/Cwd.so lib/auto/File/Glob/Glob.so perl

# get rid of miniperl because it cannot load Cwd.so
ln -sf perl miniperl

# build the rest (SMP incompatible)
make

# fix binares
: a2p wants extra libraries
make -C x2p libs= clean all

# remove OS-specific docs, linked to e.g ../README.aix
find pod/ -name '*.pod' -type l -print0 |xargs -r0 rm -fv --

%ifdef __buildreqs
%def_without test
%else
%def_with test
%endif

%if_with test
export LD_LIBRARY_PATH=$PWD LD_BIND_NOW=1 PERL_DL_NONLAZY=1
make test
%endif

%install
export LD_LIBRARY_PATH=$PWD PERL5LIB=$PWD/lib
%make_install install.perl DESTDIR=%buildroot UNINST=undef

# hack for pre-releases
#__mv %buildroot%_bindir/perl%major.* %buildroot%_bindir/perl%version
#__mv %buildroot%_bindir/sperl%major.* %buildroot%_bindir/sperl%version

mkdir %buildroot%_includedir
ln -s `relative %archlib/CORE %_includedir/perl5` %buildroot%_includedir/perl5

# use symlinks instead of hardlinks
ln -sf perl%version %buildroot%_bindir/perl
ln -sf perl%version %buildroot%_bindir/perl%major
ln -sf perl%version %buildroot%_bindir/suidperl
ln -sf c2ph %buildroot%_bindir/pstruct
ln -sf psed %buildroot%_bindir/s2p

# skeleton
mkdir -p \
	%buildroot%vendor_privlib	\
	%buildroot%vendor_privlib/auto	\
	%buildroot%vendor_archlib	\
	%buildroot%vendor_autolib	\
	%buildroot%vendor_autolib	\
	%buildroot%_sysconfdir/%name%major

# relocate libperl.so.%sover
mkdir -p %buildroot%_libdir
mv %buildroot%archlib/CORE/lib%name.so.%sover %buildroot%_libdir/lib%name.so.%version
ln -sf lib%name.so.%version %buildroot%_libdir/lib%name.so.%sover
ln -sf lib%name.so.%version %buildroot%_libdir/lib%name.so

ar rcs %buildroot%autolib/DynaLoader/DynaLoader.a

# cleanup modules which we package separately
rm -r %buildroot%privlib/Attribute/Handlers*
rm -r %buildroot%privlib/CGI*
rm -r %buildroot%privlib/CPAN*
rm %buildroot%_bindir/cpan
rm -r %buildroot{%privlib,%archlib,%autolib}/Encode*
rm %buildroot%archlib/encoding.pm %buildroot%_bindir/{enc2xs,piconv}
rm -r %buildroot%privlib/Filter*
rm -r %buildroot{%archlib,%autolib}/Filter*
rm -r %buildroot%privlib/I18N/LangTags*
find %buildroot%privlib/Net/* -not -name '*ent.*' -print -delete
rm %buildroot%_bindir/libnetcfg
rm -r %buildroot%privlib/Locale
rm -r %buildroot%privlib/Memoize*
rm -r %buildroot%privlib/Math/Big*
rm -r %buildroot%privlib/big*.pm
rm -r %buildroot%privlib/NEXT*
rm -r %buildroot%privlib/Switch*
rm -r %buildroot%privlib/Pod/Perldoc* %buildroot%_bindir/perldoc
rm -r %buildroot%privlib/Term/ReadLine*
rm -r %buildroot%privlib/Text/Balanced*
rm -r %buildroot{%archlib,%autolib}/Text/Soundex*
rm -r %buildroot%privlib/Tie/File*
rm -r %buildroot%privlib/Unicode/Collate*
rm -r %buildroot{%archlib,%autolib}/Unicode/Normalize*

# further cleanup
rm %buildroot%privlib/File/Spec/{Cygwin,Epoc,Mac,OS2,VMS,Win32}.pm
rm %buildroot%privlib/ExtUtils/MM_{AIX,BeOS,Cygwin,DOS,MacOS,NW5,OS2,QNX,UWIN,VMS,VOS,Win32,Win95}.pm
rm %buildroot%_bindir/perlivp

install -pD -m755 libperl.req %buildroot%_rpmlibdir/libperl.req
install -pD -m755 libperl.req.files %buildroot%_rpmlibdir/libperl.req.files

# control facility for suidperl
mkdir -p %buildroot%_controldir
cat <<\__EOF__ >%buildroot%_controldir/suidperl
#!/bin/sh
. /etc/control.d/functions
BINARY=%_bindir/sperl%version
new_fmode public 4711 root root
new_fmode wheelonly 4710 root wheel
new_fmode restricted 700 root root
new_help public "Any user can execute $BINARY"
new_help wheelonly "Only \"wheel\" group members can execute $BINARY"
new_help restricted "Only root can execute $BINARY"
control_fmode "$BINARY" "$*" || exit 1
__EOF__
chmod 755 %buildroot%_controldir/suidperl

%pre suidperl
%pre_control suidperl
%post suidperl
%post_control -s wheelonly suidperl

%post base -p %post_ldconfig
%postun base -p %postun_ldconfig

%files -n perl4-compat
	%_bindir/h2ph
	%_bindir/pl2pm
	%_bindir/c2ph
	%_bindir/pstruct
# skeleton
%dir	%privlib
%dir	%archlib
# *.ph files
	%archlib/ioctl.ph
	%archlib/socket.ph
	%archlib/syscall.ph
	%archlib/syslog.ph
%dir	%archlib/sys
	%archlib/sys/ioctl.ph
	%archlib/sys/socket.ph
	%archlib/sys/syscall.ph
	%archlib/sys/syslog.ph
# legacy libraries
	%privlib/*.pl
# legacy libraries still in use
%exclude %privlib/ctime.pl
%exclude %privlib/find.pl
%exclude %privlib/getopts.pl
# these are not legacy libraries
%exclude %privlib/bytes_heavy.pl
%exclude %privlib/utf8_heavy.pl
%exclude %privlib/dumpvar.pl
%exclude %privlib/perl5db.pl

%files	base
%doc	Artistic AUTHORS README
	%_bindir/perl
	%_bindir/perl%major
	%_bindir/perl%version
	%_libdir/lib%name.so.%sover
	%_libdir/lib%name.so.%version
# skeleton
%dir	%privlib
%dir	%archlib
%dir	%autolib
%dir	%vendor_privlib
%dir	%vendor_privlib/auto
%dir	%vendor_archlib
%dir	%vendor_autolib
%dir	%_sysconfdir/%name%major
# pragma
	%privlib/base.pm
	%privlib/bytes*
	%privlib/constant.pm
	%privlib/integer.pm
	%archlib/lib.pm
	%privlib/locale.pm
	%privlib/overload.pm
	%archlib/re.pm
	%privlib/sigtrap.pm
	%privlib/strict.pm
	%privlib/subs.pm
	%privlib/utf8*
	%privlib/vars.pm
	%privlib/vmsish.pm
	%privlib/warnings*
# perl4-compat
	%privlib/ctime.pl
	%privlib/find.pl
	%privlib/getopts.pl
# Loaders
	%privlib/AutoLoader.pm
	%archlib/DynaLoader.pm
	%autolib/DynaLoader
%exclude %autolib/DynaLoader/DynaLoader.a
	%privlib/SelfLoader.pm
	%archlib/XSLoader.pm
# Utils
	%archlib/Hash
	%autolib/Hash
	%archlib/List
	%autolib/List
	%archlib/Scalar
# initial unicode support
%dir	%privlib/unicore
%dir	%privlib/unicore/To
%dir	%privlib/unicore/lib
%dir	%privlib/unicore/lib/gc_sc
	%privlib/unicore/Canonical.pl
	%privlib/unicore/Exact.pl
	%privlib/unicore/PVA.pl
	%privlib/unicore/To/Fold.pl
	%privlib/unicore/To/Lower.pl
	%privlib/unicore/To/Upper.pl
	%privlib/unicore/lib/gc_sc/ASCII.pl
	%privlib/unicore/lib/gc_sc/Alnum.pl
	%privlib/unicore/lib/gc_sc/Alpha.pl
	%privlib/unicore/lib/gc_sc/Blank.pl
	%privlib/unicore/lib/gc_sc/Cntrl.pl
	%privlib/unicore/lib/gc_sc/Digit.pl
	%privlib/unicore/lib/gc_sc/Graph.pl
	%privlib/unicore/lib/gc_sc/Lower.pl
	%privlib/unicore/lib/gc_sc/Print.pl
	%privlib/unicore/lib/gc_sc/Punct.pl
	%privlib/unicore/lib/gc_sc/Space.pl
	%privlib/unicore/lib/gc_sc/SpacePer.pl
	%privlib/unicore/lib/gc_sc/Title.pl
	%privlib/unicore/lib/gc_sc/Upper.pl
	%privlib/unicore/lib/gc_sc/Uppercas.pl
	%privlib/unicore/lib/gc_sc/Word.pl
	%privlib/unicore/lib/gc_sc/XDigit.pl
# modules
	%privlib/Carp*
	%archlib/Config.pm
	%archlib/Config_heavy.pl
	%privlib/Class
	%archlib/Cwd.pm
	%autolib/Cwd
	%archlib/Data
	%autolib/Data
	%privlib/Digest*
	%archlib/Digest*
	%autolib/Digest
	%privlib/English.pm
	%archlib/Errno.pm
	%privlib/Exporter*
	%archlib/Fcntl.pm
	%autolib/Fcntl
	%privlib/File
	%privlib/FileHandle.pm
	%archlib/File
	%autolib/File
	%privlib/FindBin.pm
	%privlib/Getopt
	%archlib/IO
	%archlib/IO.pm
	%autolib/IO
	%privlib/IPC
	%archlib/IPC
	%autolib/IPC
	%archlib/MIME
	%autolib/MIME
	%archlib/POSIX.pm
	%autolib/POSIX
	%privlib/SelectSaver.pm
	%archlib/Socket.pm
	%autolib/Socket
	%privlib/Symbol.pm
	%archlib/Sys
	%autolib/Sys
	%privlib/Text
	%privlib/Tie
	%privlib/Time
	%archlib/Time
	%autolib/Time
	%privlib/UNIVERSAL.pm
# required for perl.req and perl.prov
%dir	%archlib/B
	%archlib/B.pm
%dir	%autolib/B
	%autolib/B/B.so
	%archlib/O.pm
	%archlib/Opcode.pm
	%autolib/Opcode
	%archlib/Safe.pm
# rarely used pragma
	%privlib/attributes.pm
	%privlib/autouse.pm
	%archlib/attrs.pm
	%autolib/attrs
	%privlib/fields.pm
	%privlib/filetest.pm
	%privlib/if.pm
	%privlib/less.pm
	%privlib/open.pm
	%archlib/ops.pm
	%privlib/sort.pm
# rarely used but a part of perl bundle
	%privlib/Benchmark.pm
	%privlib/DirHandle.pm
	%privlib/Env.pm
	%privlib/Fatal.pm
	%privlib/FileCache.pm
%dir	%privlib/I18N
	%privlib/I18N/Collate.pm
%dir	%archlib/I18N
	%archlib/I18N/Langinfo.pm
%dir	%autolib/I18N
	%autolib/I18N/Langinfo
%dir	%privlib/Math
	%privlib/Math/Complex.pm
	%privlib/Math/Trig.pm
%dir	%privlib/Net
	%privlib/Net/*ent.pm
%dir	%privlib/Search
	%privlib/Search/Dict.pm
	%privlib/Shell.pm
%dir	%privlib/User
	%privlib/User/*ent.pm
# can be packaged separately
	%_bindir/pod2*
	%privlib/Pod
	%privlib/Term
%doc	%privlib/CORE.pod

%files	devel
	%_bindir/a2p
	%_bindir/dprofpp
	%_bindir/find2perl
	%_bindir/h2xs
	%_bindir/instmodsh
	%_bindir/perlbug
	%_bindir/perlcc
	%_bindir/podchecker
	%_bindir/podselect
	%_bindir/prove
	%_bindir/psed
	%_bindir/s2p
	%_bindir/splain
	%_bindir/xsubpp
	%_libdir/lib%name.so
	%_includedir/perl5
	%privlib/blib.pm
	%privlib/diagnostics.pm
	%privlib/dumpvar.pl
	%privlib/perl5db.pl
	%privlib/Dumpvalue.pm
%dir	%autolib/DynaLoader
	%autolib/DynaLoader/DynaLoader.a
%dir	%archlib/CORE
	%archlib/CORE/*.h
	%archlib/CORE/*.inc
	%autolib/re
# perl-devel modules
	%privlib/AutoSplit.pm
	%privlib/B
	%archlib/B
	%autolib/B
%exclude %autolib/B/B.so
	%archlib/ByteLoader.pm
	%autolib/ByteLoader
	%privlib/DB.pm
	%privlib/Devel
	%archlib/Devel
	%autolib/Devel
	%privlib/ExtUtils
%dir	%privlib/Module
	%privlib/Module/Pluggable*
	%privlib/Test*
%dir	%privlib/pod
%doc	%privlib/pod/a2p.pod
# perldiag.pod is NOT a doc; it used by diagnostics.pm
	%privlib/pod/perldiag.pod
%doc	%archlib/Config.pod
%doc	%archlib/POSIX.pod
	%_rpmlibdir/libperl.req
	%_rpmlibdir/libperl.req.files

%files	pod
%dir	%privlib/pod
%doc	%privlib/pod/perl*.pod
%exclude %privlib/pod/perldiag.pod
%exclude %privlib/pod/perldbmfilter.pod

%files	threads
	%privlib/Thread*
	%archlib/threads*
	%autolib/threads

%files	unicore
	%privlib/charnames.pm
%dir	%privlib/Unicode
	%privlib/Unicode/UCD.pm
%dir	%privlib/unicore
	%privlib/unicore/*.pl
	%privlib/unicore/lib/
	%privlib/unicore/To/
# required for Unicode::Normalize
	%privlib/unicore/CompositionExclusions.txt
# required for Unicode::UCD
	%privlib/unicore/Blocks.txt
	%privlib/unicore/CaseFolding.txt
	%privlib/unicore/NamedSequences.txt
	%privlib/unicore/Scripts.txt
	%privlib/unicore/SpecialCasing.txt
	%privlib/unicore/UnicodeData.txt
# initial unicode support is in perl-base
%exclude %privlib/unicore/Canonical.pl
%exclude %privlib/unicore/Exact.pl
%exclude %privlib/unicore/PVA.pl
%exclude %privlib/unicore/To/Fold.pl
%exclude %privlib/unicore/To/Lower.pl
%exclude %privlib/unicore/To/Upper.pl
%exclude %privlib/unicore/lib/gc_sc/ASCII.pl
%exclude %privlib/unicore/lib/gc_sc/Alnum.pl
%exclude %privlib/unicore/lib/gc_sc/Alpha.pl
%exclude %privlib/unicore/lib/gc_sc/Blank.pl
%exclude %privlib/unicore/lib/gc_sc/Cntrl.pl
%exclude %privlib/unicore/lib/gc_sc/Digit.pl
%exclude %privlib/unicore/lib/gc_sc/Graph.pl
%exclude %privlib/unicore/lib/gc_sc/Lower.pl
%exclude %privlib/unicore/lib/gc_sc/Print.pl
%exclude %privlib/unicore/lib/gc_sc/Punct.pl
%exclude %privlib/unicore/lib/gc_sc/Space.pl
%exclude %privlib/unicore/lib/gc_sc/SpacePer.pl
%exclude %privlib/unicore/lib/gc_sc/Title.pl
%exclude %privlib/unicore/lib/gc_sc/Upper.pl
%exclude %privlib/unicore/lib/gc_sc/Uppercas.pl
%exclude %privlib/unicore/lib/gc_sc/Word.pl
%exclude %privlib/unicore/lib/gc_sc/XDigit.pl

%files	DBM
	%privlib/AnyDBM_File.pm
	%archlib/DB_File.pm
	%autolib/DB_File
	%archlib/NDBM_File.pm
	%autolib/NDBM_File
	%archlib/GDBM_File.pm
	%autolib/GDBM_File
	%archlib/SDBM_File.pm
	%autolib/SDBM_File
	%autolib/sdbm
	%privlib/DBM_Filter*
%dir	%privlib/pod
%doc	%privlib/pod/perldbmfilter.pod

%files	Storable
	%archlib/Storable*
	%autolib/Storable*

%files	PerlIO
	%privlib/PerlIO*
	%archlib/PerlIO*
	%autolib/PerlIO*

%files	suidperl
%config	%_controldir/suidperl
%attr(4710,root,wheel) %_bindir/sperl%version
	%_bindir/suidperl

%files	full

%changelog
* Sun Sep 07 2008 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt19.M41.1
- ioctl_ph.PL: workaround glibc-kernheaders deficiency (cf. #15676)

* Fri Mar 07 2008 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt19
- updated to MAINT33449 (20080306)
- perl-base: own auto/I18N directory (reported by Mikhail Gusarov)

* Fri Feb 22 2008 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt18
- updated to MAINT33243 (20080206)
- packaged vmsish.pm, for Test/Harness/Results.pm
- added conflict on perl-Term-ReadLine-Gnu < 1.17, due to change 32538 (#14081)
- fixed libperl.so.5.8 forward binary compatibility by eliminating
  the use of new Perl_newSVpvn_flags() function in perlapi macros

* Mon Jan 14 2008 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt17.1
- fixed src.rpm packaging, updated patchlevel.h

* Wed Jan 09 2008 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt17
- updated to MAINT32572 (20071204)
- fixed libperl.so.5.8 forward binary compatibility (enabled
  Perl_hv_*() wrapper functions by default instead of macros which
  use new Perl_hv_common() and Perl_hv_common_key_len() functions)

* Tue Nov 20 2007 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt16
- updated to MAINT32409 (20071119)
- perl-devel: implemented libperl.req rpm hook, which will generate
  specific dependency if PERL_5.8.9 ABI is used (cf. #12712)

* Wed Nov 14 2007 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt15
- updated to MAINT32307 (20071113, closes CVE-2007-5116)
- B/C.pm: fixed `Can't locate object method "IVX" ...' (RH#199736)
- libperl.map: added new PL_perlio_* bss vars under PERL_5.8.9;
  this can break libperl.so.5.8 forward binary compatibility for
  just a few packages, see #12712 for details

* Thu Aug 02 2007 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt14
- MM_Unix.pm: only append custom CCFLAGS to standard ccflags, not replace
- changed src.rpm packaging to keep separate tarball with upstream snapshot

* Sun Jun 10 2007 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt13
- updated to MAINT31223 (20070515)

* Wed Apr 25 2007 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt12
- fixed Fcntl::S_IFMT() breakage introduced by change 30674
  (reported by Dmitry V. Levin)

* Fri Apr 20 2007 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt11
- updated to MAINT30961 (20070415)
- XS::APItest and XS::Typemap are no longer packaged

* Thu Apr 05 2007 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt10
- updated to MAINT30816 (20070331)

* Wed Mar 28 2007 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt9
- updated to MAINT30765 (20070326)

* Fri Mar 23 2007 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt8
- updated to MAINT30705 (20070322), which fixes 'local($var=1)'
  segfault (#11140, reported by Ivan Adzhubey)
- XSUB.h: fixed XS() macro for C++ (due to my static_XS.patch)

* Sat Mar 17 2007 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt7
- updated to MAINT30598 (20070315)
- fixed libperl.so forward binary compatibility (so that modules
  compiled with this perl release will also work with earlier
  perl releases) by adjusting newXSproto() and sv_usepvn() macros
- Perl_ninstr() changed in incompatible way, which broke Compress::Zlib
  and Filter; newer releases of these packages, which use memchr(3)
  instead, already available in Sisyphus; placed Conflicts in perl-base
- DynaLoader.a officially moved to libperl.so, but I still provide
  empty DynaLoader.a to facilitate building e.g. irssi package
- perl-base: removed Text::Soundex, to be packaged separately
- perl-devel: packaged Module::Pluggable and Devel::InnerPackage
- fixed a few cases of clobbering special variables in *.pm code
- previous change 29132, which outlawed $#{@$aref} and ${@ary}[1]
  syntax, was reverted with change 30181 (the syntax is still deprecated)

* Tue Jan 09 2007 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt6
- updated to MAINT29163 (20061030)
- compiled with default optimization flags (-O2) instead of -Os
- compiled pp.o pp_ctl.o scope.o sv.o with -O3 -funroll-loops
- FindBin.pm: fixed wrong treatment of PATH entries (merged into 5.9)
- ExtUtils/ParseXS.pm, ExtUtils/typemap: implemented constant string
  folding and better error messages for generated code (merged into 5.9)
- added %_includedir/perl5 symbolic link

* Sun Oct 15 2006 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt5
- started git repo, which, along with my changes, has prisitine perl
  source for 5.8 and 5.9 branches, including every single change from
  public.activestate.com archive
- this release is based on perl-5.8.8 MAINT28854; also backported a few
  changes from 5.9 branch
- removed *.ph files generated by h2ph; wrote replacements:
  + socket.ph -- Socket wrapper (along with sys/socket.ph)
  + syslog.ph -- Sys::Syslog wrapper (ditto)
  + syscall.ph -- syscall numbers, generated with `cpp -dM' etc.
  + ioctl.ph -- ioctl numbers (like syscall.ph)
- moved c2ph (and pstruct) from perl-devel to perl4-compat
- restricted the list of symbols exported from the shared library
- reworked xsubpp static_XS stuff; auto-generated XS functions are now
  static by default (except for boot_$module); this behaviour can be
  disabled by setting XSUBPP_NO_STATIC_XS environment variable
- ParseXS.pm: public visibility mode for boot_$module XS functions
- MM_Unix.pm: link perl extensions with -lperl -lpthread
- set man3ext to .3pm instead of .3

* Sat Sep 02 2006 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt4
- fixed abi-sv_2iv.patch for c++ (missing extern "C")

* Sun Aug 13 2006 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt3
- updated Test::Harness to 2.62, which restores the behavior
  of dying if any subtests failed
- fixed and hardened File::Temp sanity check (cpan #14218)
- preserve permission bits in File::Copy, but with respect to umask

* Mon Aug 07 2006 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt2
- updated to 5.8.x patchlevel 28443 (Jun 28)
- dealt with sv_2iv ABI issue
- linked modules with libperl
- moved some more unicore files to perl-base (Valentyn Solomko)
- fixed Text::ParseWords::shellwords() issue (#7978)

* Mon May 15 2006 Alexey Tourbin <at@altlinux.ru> 1:5.8.8-alt1
- 5.8.7 -> 5.8.8

* Mon Dec 19 2005 Dmitry V. Levin <ldv@altlinux.org> 1:5.8.7-alt4
- Updated upstream fix for CVE-2005-3962, patch from FC.

* Tue Dec 06 2005 Dmitry V. Levin <ldv@altlinux.org> 1:5.8.7-alt3
- Backported upstream fix for potential integer overflow (CVE-2005-3962).

* Fri Jun 17 2005 Alexey Tourbin <at@altlinux.ru> 1:5.8.7-alt2
- pp_sys-getppid.patch: fixed getppid() cache and implemented a test
- xsubpp-static_XS.patch: some XS functions go static (experimental)
- DB_File-db_version.patch: now works with all patchlevels of libdb4.3
- fixed MANIFEST handling (some tests were not executed)

* Wed Jun 01 2005 Alexey Tourbin <at@altlinux.ru> 1:5.8.7-alt1
- 5.8.7-RC1 -> 5.8.7
  + change 24070 was revered (-C on the #! line; fixes xmltv breakage)
- linked DynaLoader.o into libperl.so; packaged empty DynaLoader.a
- alt-configpm-common.patch: added more common keys to Config.pm
- added build dependency on /proc and build-time check for /proc/self/exe
- added build-time check for glibc-kernheaders (before running h2ph)

* Sat May 21 2005 Alexey Tourbin <at@altlinux.ru> 1:5.8.7-alt0.1
- 5.8.6 -> 5.8.7-RC1
- some patches were merged upstream, including:
  + threads and threads::shared linkage (rh #101767, change 24050)
  + h2ph processing of "extern inline" functions (perlbug #34493, change 24054)
- introduced linker script for symbol versioning (libperl.so)
- alt-ExtUtils-MakeMaker-no-parent-prereq.patch (weird stuff)
- updated depndencies

* Sun Mar 20 2005 Alexey Tourbin <at@altlinux.ru> 1:5.8.6-alt4
- fixed directory layout for x86_64
- fixed h2ph processing of "extern inline" functions (#5138, perlbug #34493)
- fixed manpage titles for vendor_perl modules in Pod/Man.pm (perlbug #34500)
- applied debian sec fix for File::Path::rmtree (CAN-2004-0452, CAN-2005-0448)
- deb-doio-close.patch: make close() return false if the stream had prior errors
- downgraded Test::Simple to original version 0.47 (0.53 had too much problems)
- moved re.so to perl-devel (re.pm left in perl-base)

* Thu Feb 10 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1:5.8.6-alt3.1
- Updated libdb4 build dependencies.
- Rebuilt with libdb4.3.

* Wed Feb 02 2005 Alexey Tourbin <at@altlinux.ru> 1:5.8.6-alt3
- applied upstream change #23565: MakeMaker's default MANIFEST.SKIP was broken
- applied Mandrake patch for suidperl/perlio exploit and buffer overflow
  (perlbug #33990, CAN-2005-0155, CAN-2005-0156)
- restricted suidperl permissions (4711,root,root -> 4710,root,wheel)
- added control facility for suidperl

* Fri Dec 17 2004 Alexey Tourbin <at@altlinux.ru> 1:5.8.6-alt2
- moved some more unicore files to perl-base (see also #6110)
- perl-NEXT packaged separately

* Sun Dec 12 2004 Alexey Tourbin <at@altlinux.ru> 1:5.8.6-alt1
- 5.8.4 -> 5.8.6
- package layout:
  + new subpackages: perl4-compat, perl-threads, perl-PerlIO
  + packaged separately: perl-Net-Ping, perl-Text-Balanced, perl-Tie-File,
    perl-Attribute-Handlers, perl-Math-BigInt, perl-Math-BigRat, perl-bignum,
    perl-Filter, perl-Filter-Simple, perl-Switch, and *perldoc*
  + perl-i18n split into perl-unicore and separately packaged
    perl-I18N-LangTags, perl-Locale-Maketext, perl-Locale-Codes,
    perl-Unicode-Normalize, perl-Unicode-Collate, and perl-Encode
  + perl-man1 and perl-man3 not packaged (use perldoc)
- perl-devel: updated Test::Simple from CPAN (0.47 -> 0.53)
- perl-pod: OS-specific docs not packaged (e.g. perlaix)
- updated and renamed most of the patches
- applied CAN-2004-0976 fixes where applicable
- suppressed socks5 support (e.g. when libdante-devel is installed)
- added multilib support (#4893)
- h2ph inline issues must have been fixed upstream (#5138)
- fixed threads and threads::shared linkage (rh #101767; fixed rh patch)
- made File::Copy::copy() preserve timestamps and permissions
- made ExtUtils::MM_Unix::fixin() preserve timestamps and permissions;
  dropped re-exec shell code
- updated descriptions

* Mon Aug 09 2004 Alexey Tourbin <at@altlinux.ru> 1:5.8.4-alt2
- alt-libc-realpath.patch: use realpath(3) rather than bsd_realpath()
- 22839-sort.patch: fix the sort-in-place optimization

* Wed Apr 28 2004 Alexey Tourbin <at@altlinux.ru> 1:5.8.4-alt1
- 5.8.3 -> 5.8.4
- owl-tmp.patch disabled (looks like merged upstream)
- rh-syslog.patch disabled (suidperl reworked heavily)
- DBM_Filter (new to 5.8.4) placed into perl-DBM
- Memoize modules gone into separate package

* Sat Feb 14 2004 Alexey Tourbin <at@altlinux.ru> 1:5.8.3-alt1.1
- rebuilt against libdb4.2

* Fri Jan 16 2004 Alexey Tourbin <at@altlinux.ru> 1:5.8.3-alt1
- 5.8.3
- libswanted.patch dropped in favour of `Configure -Dlibswanted='
- fixed alt-no-perl.patch (inc_version_list works)
- owl-tmp.patch updated (solar@owl)

* Tue Dec 16 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.3-alt0.1
- moved to the latest snapshot (21911, "the penultimate call for patches for 5.8.3")
- MakeMaker-FHS.patch dropped (seems to be needed no more)
- alt-fix-perms.patch updated

* Tue Nov 11 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.2-alt1
- 5.8.2
- perldoc-width.patch merged upstream

* Mon Oct 20 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt7
- moved to the latest snapshot (maint 21501), which fixes:
  + binary compatibility issues between 5.8.1 and 5.8.0
  + simple @INC hook core dump
  + sv.h broken with assert.h (reported and fixed by me)
- patches updated: AnyDBM_File-DB_File, libswanted

* Wed Oct 08 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt6.1.1
- p5p-21424.patch: @INC hook segfault fixed

* Sun Sep 28 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt6.1
- deb-fixheaders.pl disabled due to __need_size_t mess (#3063)

* Fri Sep 26 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt6
- perl-5.8.1 finally released, with fix-B-Deparse.patch in

* Wed Sep 24 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt5.RC5
- fix-B-Deparse.patch: matching against string fixed (#3036)

* Tue Sep 23 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt4.RC5
- 5.8.1-RC5
- MM-uninst.patch: helps to eliminate self-requires in BuildRequires
  with `buildreq --args=-bi'
- rh-syslog.patch updated
- macros.d/perl5 moved to rpm-build-perl package
- %%oldversion dropped in perl-devel package due to dist-upgrade problems

* Mon Sep 15 2003 Dmitry V. Levin <ldv@altlinux.org> 1:5.8.1-alt3.pre21050
- Relocated %autolib/B/B.so from perl-devel to perl-base.

* Fri Sep 05 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt2.pre21050
- moved to the latest snapshot (maint 21050)
- perl-Storable built now from here, not from separate source package
  (BuildRequires closure)
- O.pm moved to perl-devel for the sake of new perl.req RPM script
- descriptions updated

* Sat Aug 02 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt1.RC4
- 5.8.1-RC4 (some modules updated)
- perl-DB_File merged to perl-DBM package; no-db.patch dropped

* Thu Jul 31 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.9.RC3
- 5.8.1-RC3; some problems fixed as I reported:
  + tied values were mishandled by formats
  + B::Deparse versioning and gv_name stuff fixed, alt-B-Deparse-fixes.patch dropped
- findreq_skiplist extended

* Tue Jul 15 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.8.RC2
- 5.8.1-RC2

* Thu Jul 10 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.7.RC1
- 5.8.1-RC1
- custom optimization (-Os -Wl,-O1)

* Tue Jul 08 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.6.pre20073
- moved to the latest snapshot (maint 20014)
  + PERL_SKIP_TTY_TEST stuff was fixed as I reported
- some attrs* modules were accidentally missing
- copy-paste error in Provides fixed

* Fri Jul 04 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.5.pre19975
- moved to the latest snapshot (maint 19975)
- patches updated: libswanted, soname, norootcheck, owl-tmp
- deb-accept-addrsz.patch merged upstream
- fixed build for environments without /dev/tty
- fixed build for environments without /proc filesystem mounted
- fixed sys/_types.ph dependency stuff which comes out with new gcc

* Wed Jun 18 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.4.pre19792
- moved to the latest snapshot (maint 19792)
- alt-B-Deparse-fixes.patch (can't get comments on this from perl5-porters)
- Term/ReadLine.pm moved to perl-Term-ReadLine-Gnu package
- added support for /etc/perl5 module directory (debian)
- fix-perms.patch: owner-writable permissions by default

* Tue Jun 10 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.3.pre19733
- moved to the latest snapshot (maint 19733)
- alt-diagnostics.patch: don't die when perldiag.pod is not available
- Text::Balanced restored as it was removed in Parse-RecDescent-1.92
- owl-tmp.patch updated

* Tue Jun 03 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.2.pre19613
- moved to the latest snapshot (maint 19613); some problems fixed as I reported:
  + ftp.pl removed (along with chat2.pl)
  + B::Deparse fixes
- build dependencies clenup:
  + new patches: alt-libswanted, alt-trylist, alt-no-csh, alt-no-ksh, alt-no-perl, alt-no-db
  + build Cwd.so ASAP (Cwd.pm falls back to the method that scans the whole filesystem)
  + get rid of miniperl ASAP (miniperl cannot load Cwd.so)
  + skip some tests that fail under buildreq/strace or scan filesystem
  + buildreq applied (BuildRequires: libdb2-devel libgdbm-devel libtcb nss_tcb)
- macros.d/perl:
  + export LD_BIND_NOW=1 PERL_DL_NONLAZY=1 for 'make test'
  + more diagnostics
- fixed a2p linked against extra libraries

* Mon May 26 2003 Alexey Tourbin <at@altlinux.ru> 1:5.8.1-alt0.1.pre19525
- moved to the latest snapshot (maint 19525)
- revision of all patches:
  + updated: alt-MakeMaker-FHS, alt-deb-perldoc-width, alt-deb-perldoc-INC,
    alt-deb-accept-addrsz
  + needed no more (fixed): rh-pager, deb-Term-Cap-infocmp, deb-perlembed-examples,
    deb-POSIX-SigAction, deb-lib-args, deb-no-syslogd, deb-Safe
  + refused: mdk-MakeMaker-prefix (old hack, no longer supported)
- new package layout: perl -> perl-i18n, perl-DBM:
	1,7M perl-base		16K  perl-full		1,8M perl-man1
	112K perl-DBM		2,9M perl-i18n		1,3M perl-man3
	944K perl-devel		48K  perl-suidperl	1,5M perl-pod
- dropped some conditional logic, old triggers and old dependencies

* Fri Dec 27 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt1
- #0001755: %_bindir/suildperl was a hard links, this led to
  permission conflict; symlinking forced
- %%without_libnet: fixed an error in excluding libnet libraries

* Sun Dec 10 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.9
- perl-full package (helps to install feature-rich perl kit)
- moved from perl to perl-base: Sys::Syslog, Net::Ping, Net::*ent,
  Time::tm, Time::gmtime, Time::localtime, timelocal.pl, ctime.pl,
  flush.pl, stat.pl, getopt.pl, the rest of *.ph files
- deb-Safe patch (security update for Safe.pm)
- upstream patches: 17781, 17927, 18061 (RH)

* Wed Nov 06 2002 Stanislav Ievlev <inger@altlinux.ru> 1:5.8.0-alt0.8.1
- fix conflicts with perl-DB_File

* Sat Nov 05 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.8
- pager='%_bindir/less -isR'; rh-pager patch
- %%dir %vendor_privlib/auto (perl-base)
- %%perl_venodr_install macro: various fixes
- some more *.ph files moved to perl-base
- %_sysconfdir/rpm/macros.d/%name moved to perl-devel
- AnyDBM_File moved to perl-DB_File package; all *DBM_File modules left in
  perl package (perl-base now depends on glibc-core and sh packages only)
- Sisyphus release

* Thu Oct 31 2002 Stanislav Ievlev <inger@altlinux.ru> 1:5.8.0-alt0.7.1
- adaptations for new gdbm

* Fri Oct 28 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.7
- separate packages (again): perl-Parse-RecDescent, perl-Storable
- provides, obsoletes: perl-MIME-Base64 (perl-base, but
  MIME/QuotedPrint.pm is in perl because it uses Encode.pm)
- %%perl_vendor_build macro: test, smp switches added (on by default)
- %%perl_fix_local new macro: replace /usr/local/ with /usr/
- %%post/%%postun sections added (perl-base)
- libperl got soname (alt-pld-soname patch)

* Fri Oct 25 2002 Dmitry V. Levin <ldv@altlinux.org> 1:5.8.0-alt0.6.1
- Build without libperl dependency autodetection.

* Wed Oct 24 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.6
- separate packages: perl-CPAN, perl-libnet
- provides, obsoletes: perl-Digest-MD5, perl-Time-HiRes (perl-base)
- inc_version list mechanism is now partly supported -- for local
  installations only (%site_privlib)
- ultimate *dbm policy: try to include in perl-base the best one
  (according to AnyDBM_File.pm priorities; literally, this is ndbm)
- chat2.pl obsolete (yet missing) library restored from perl-5.6.1
- patch correction: mdk-MakeMaker-fhs -> alt-mdk-MakeMaker-fhs (handle
  /usr/share/man as well as /usr/local/man)
- debian perl_5.8.0-13 patches: perldoc-width, perldoc-INC,
  accept-addrsz, Term-Cap-infocmp, installman-nopod, perlembed-examples,
  POSIX-SigAction, lib-args, no-syslogd

* Tue Oct 22 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.5
- perl-pod, perl-man1 and perl-man3 subpackages
- %_sysconfdir/rpm/macros.d/%name (perl-base) -- perl-specific rpm macros
  + %%perl_vendor_{priv,arch,auto}lib, %%perl_vendor_man[13]dir
  + %%perl_vendor_{build,install}
  + %%perl_binary_compat

* Sat Oct 19 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.4
- make use of site/vendor distinction; additional perl packages
  provided by %vendor must install in %vendor_privlib
  (typical invocation: "perl Makefile.PL INSTALLDIRS=vendor");
  local installations must install in %site_privlib
- mdk-MakeMaker-prefix patch (keep paths relative to prefix)
- mdk-MakeMaker-fhs patch (fix implied $(PREFIX)/man mandir)
- %_bindir/perldoc and a bit of Pod stuff moved to perl-base
- %privlib/man/man3 -> %_man3dir
- perl-base provides perl-version (for possible future use)
- sdbm is in perl-base; gdbm and ndbm are in perl
- %%descriptions got more descriptive

* Wed Oct 16 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.3
- major rearrangement; dependency tunings
  + static %%files sections
  + some modules moved from perl to perl-base and perl-devel
  + perl and perl-devel depend on perl-base only
  + perl-base doesnot depend on perl; "AutoReq: noperl" switched off
- libperl.so* relocated to %_libdir
- soname changed: libperl.so.5 -> libperl.so.5.8
- use of inc_version_list mechanism is finally deprecated
- archlib name kept back to i386-linux
- debian *.ph fixer

* Sun Oct 06 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:5.8.0-alt0.2
- removed obsoleted Summary & description in KOI8-R encoding
- added Packager & URL tags
- repacked Source0 with bzip2

* Tue Oct 01 2002 Alexey Tourbin <at@altlinux.ru> 1:5.8.0-alt0.1
- 5.8.0
- revision of all patches
- general specfile cleanup
- builds now without AND with system-wide %name installation

* Sun May 19 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt17
- Synced with 5.6.1-41.99.6 (RedHat) and 5.601-14mdk (Mandrake)
- suidperl subpackage

* Fri Apr 05 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt16
- Thrown unwanted libraries out of libswanted
- Two more patches from RedHat
- Added /usr/bin/perl to the perl-base provides

* Sat Jan 05 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt15
- dbmclose-in-DESTROY patch

* Wed Nov 28 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt14
- Better solution of the previous problem: bail out if directories don't exist

* Mon Nov 26 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt13
- Create directories prior to cd'ing to them in the preinstall scripts

* Tue Nov 06 2001 Stanislav Ievlev <inger@altlinux.ru> 1:5.6.1-alt12
- fix Autoreq

* Sat Nov 03 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt11
- Parser patch from Gurusamy Sarathy (change #9950)

* Tue Oct 23 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt10
- Relocated linux/modsetver.ph to perl-base
- Refined perldoc patch
- BuildRequires cleanup

* Wed Oct 17 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt9
- Explicitly set inc_version_list

* Fri Oct 05 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt8
- Synchronized with 5.601-6mdk
- Added perldoc patch
- noperl in AutoReq

* Tue Jul 31 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.6.1-alt7
- Dropped symlinks to i386 arch-dependent directories for other ix86 arches
  because it breaks upgrade.

* Tue Jul 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.6.1-alt7
- Set explicit install order: %name-base, %name, %name-devel.
- Added preinstall scripts for somewhat better arch change.

* Sat Jul 14 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt6
- made symlinks to i386 arch-dependent directories for other ix86 arches
- removed sitelib directory from perl-base list

* Tue Jul 10 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt5
- set archname to i386-linux for ix86
- removed kernel dependency as it turns out to be circular

* Thu Jun 21 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt4
- Fixed soname

* Tue May 29 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt3
- Synchronized with 5.601-4mdk
- IMPORTANT: Removed version number part from privlib and archlib paths
  in order to make programs compiled with libperl.so using rpath
  immune to perl upgrades. Editing of ld.so.conf is abandoned.
  A (bare-)versioned soname is etched on libperl.so.
- Use installprefix and edit Config.pm as INSTALL recommends to do

* Wed Apr 18 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt2
- perl-base adds path to libperl.so to /etc/ld.so.conf on installation

* Fri Apr 13 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:5.6.1-alt1
- The long-awaited 5.6.1
- Changed release tag for ALT Linux Team
- Trying to eliminate dependency on i386 dirs
- Fixed LD_SO_PRELOAD in install stage

* Sun Dec 17 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-ipl3mdk
- synchronized with 5.600-24mdk
- Added:
  + ../site_perl/5.005/i386-linux as vendorarch
  + site_perl directory to the files list for perl-base

* Fri Dec  1 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-ipl2mdk
- brought the spec in conformance to the GPL (the General Party Line,
  not to be mixed with the GNU Public License)
- touch Config.pm to avoid unwanted rebuilds during install
- not using packages that used to be a source for .ph's not needed by Perl
  itself. This will be done in a separate package.
- eliminated build dependancy on the perl installed in the system
- added kernel version supporting 64-bit I/O to Requires
- added /boot/kernel.ph to Requires
- moved h2ph to the main package, since it is used to generate /boot/kernel.ph

* Sat Nov 25 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-ipl1mdk
- turned into an official Mandrake RE package
- old version set to 5.00600 to comply with automatic requires
- Russian groups and information
- packages listed to build *.ph files are made BuildRequires
- used _perl_lib_path macro to specify the Perl autodeps search path strictly

* Tue Nov 23 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-4mdk_mhz
- synchronized with 5.600-20mdk by pixel@mandrakesoft.com
- enabled 'uselargefiles' again, since the new kernel must support it
- removed redundant epoch 1 provides
- automatic dependency building for perl

* Mon Oct 16 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-3mdk_mhz
- -Uuselargefiles configuration option, for compatibility with Apache
  and workable fcntl($fd, F_SETLK, ...)

* Sun Oct  8 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-2mdk_mhz
- added %name = 1:%version in provides to work around an rpm flaw

* Sat Oct  7 2000 Mikhail Zabaluev <mookid@sigent.ru> 1:5.6.0-1mdk_mhz
- versioning with epoch
- excluded *.bs files from perl.list

* Sun Sep  3 2000 Pixel <pixel@mandrakesoft.com> 5.600-17mdk
- also move warnings/register.pm
- fix silly error

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 5.600-16mdk
- move Glob.pm and dependencies to perl-base

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 5.600-15mdk
- fix filelist cleaning

* Wed Aug 23 2000 Pixel <pixel@mandrakesoft.com> 5.600-14mdk
- add Packager

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 5.600-13mdk
- move dir .../CORE to perl-base
- move lib.pm to perl-base (to make installkernel happy)

* Fri Aug 18 2000 Pixel <pixel@mandrakesoft.com> 5.600-12mdk
- fix-LD_RUN_PATH-for-MakeMaker

* Mon Aug  7 2000 Pixel <pixel@mandrakesoft.com> 5.600-11mdk
- fix the mailx `!~' (in case you're using the old mailx or a bug appears in
mailx...)

* Tue Jul 25 2000 Pixel <pixel@mandrakesoft.com> 5.600-10mdk
- move DynaLoader.a to -devel
- remove menu

* Sat Jul 22 2000 Pixel <pixel@mandrakesoft.com> 5.600-9mdk
- patch CGI.pm to have $TempFile::TMPDIRECTORY = '/tmp'

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 5.600-8mdk
- bad config.h

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 5.600-7mdk
- oups, devel was bad :-(

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 5.600-6mdk
- BM, macroization

* Fri May 19 2000 Franois Pons <fpons@mandrakesoft.com> 5.600-5mdk
- changed asm/*.h to asm*/*.h during .ph generation for sparc.

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 5.600-4mdk
- fix a bug causing missing .ph's

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 5.600-3mdk
- really add menu

* Mon Mar 27 2000 Pixel <pixel@mandrakesoft.com> 5.600-2mdk
- add menu

* Thu Mar 23 2000 Pixel <pixel@mandrakesoft.com> 5.600-1mdk
- change version number for backward compatibility :(
(serial is not enough, cuz there are some requires >= 5.00503)

* Thu Mar 23 2000 Pixel <pixel@mandrakesoft.com> 5.6.0-1mdk
- new version

* Tue Mar 21 2000 Pixel <pixel@mandrakesoft.com> 5.6-0.3mdk
- RC3

* Thu Mar 16 2000 Pixel <pixel@mandrakesoft.com> 5.6-0.2mdk
- RC2

* Thu Mar  9 2000 Pixel <pixel@mandrakesoft.com> 5.6-0.1mdk
- new version

* Wed Mar  1 2000 Pixel <pixel@mandrakesoft.com> 5.5.670-1mdk
- new version

* Thu Feb 24 2000 Pixel <pixel@mandrakesoft.com> 5.5.660-1mdk
- remove the strip'ing and man page bzip'ing
- new version

* Wed Feb  9 2000 Pixel <pixel@mandrakesoft.com> 5.5.650-1mdk
- new version

* Thu Feb  3 2000 Pixel <pixel@mandrakesoft.com> 5.5.640-6mdk
- new version (and new version numbering)

* Mon Jan 17 2000 Franois Pons <fpons@mandrakesoft.com>
- changed asm/*.h to asm*/*.h during .ph generation for sparc.

* Fri Dec 17 1999 Pixel <pixel@mandrakesoft.com>
- clean up
- fixed the reference to the egcs package

* Mon Nov 29 1999 Pixel <pixel@linux-mandrake.com>
- removed the `Provides: perl' in perl-base

* Mon Nov 22 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- changed i386 into ${RPM_ARCH}

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix forget manpages from %files.

* Thu Oct 14 1999 Pixel <pixel@linux-mandrake.com>
- create hackperl based on perl's spec
- split in two packages
- removed csh dependencie
- merged redhat's spec (not everything)

* Mon Jul 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- ln /usr/lib/perl5 to /usr/lib/perl5%%current_version
- bzip2 manpages.

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch from RedHat6.0.
- Update to 5.005_03

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- handle RPM_OPT_FLAGS
- add de locale

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- guilty of the inlined Makefile in the spec file
- adapted for the arm build

* Wed Sep 09 1998 Preston Brown <pbrown@redhat.com>
- added newer CGI.pm to the build
- changed the version naming scheme around to work with RPM

* Sun Jul 19 1998 Jeff Johnson <jbj@redhat.com>
- attempt to generate *.ph files reproducibly

* Mon Jun 15 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.004_04-m4 (pre-5.005 maintenance release)

* Tue Jun 12 1998 Christopher McCrory <chrismcc@netus.com
- need stdarg.h from gcc shadow to fix "use Sys::Syslog" (problem #635)

* Fri May 08 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to correct the .ph constructs unless defined (foo) to read
  unless(defined(foo))

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Mar 10 1998 Cristian Gafton <gafton@redhat.com>
- fixed strftime problem

* Sun Mar 08 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to fix a security race
- do not use setres[ug]id - those are not implemented on 2.0.3x kernels

* Mon Mar 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 5.004_04 - 5.004_01 had some nasty memory leaks.
- fixed the spec file to be version-independent

* Fri Dec 05 1997 Erik Troan <ewt@redhat.com>
- Config.pm wasn't right do to the builtrooting

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- fixed arch-specfic part of spec file

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to perl 5.004_01
- users a build root

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- Incorporated security patch from Chip Salzenberg <salzench@nielsenmedia.com>

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>
- Use -Darchname=i386-linux
- Require csh (for glob)
- Use RPM_ARCH during configuration and installation for arch independence
